curl --request POST \
--url https://api.rb2b.com/api/v1/hem_to_business_profile \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"md5": "5d41402abc4b2a76b9719d911017c592",
"email": "alice@example.com",
"include_mobile_phone": false,
"require_email": false
}
'import requests
url = "https://api.rb2b.com/api/v1/hem_to_business_profile"
payload = {
"md5": "5d41402abc4b2a76b9719d911017c592",
"email": "alice@example.com",
"include_mobile_phone": False,
"require_email": False
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
md5: '5d41402abc4b2a76b9719d911017c592',
email: 'alice@example.com',
include_mobile_phone: false,
require_email: false
})
};
fetch('https://api.rb2b.com/api/v1/hem_to_business_profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"result": {
"first_name": "Alice",
"last_name": "Smith",
"title": "VP of Marketing",
"seniority": "vp",
"functional_area": "Marketing",
"current_company": "Acme",
"current_industry": "Computer Software",
"country": "United States",
"linkedin_slug": "alice-123",
"company_employee_range": "51-200",
"company_revenue_range": "$10M-$50M",
"work_email_confirmed": "alice@acme.com",
"personal_emails": [
"<string>"
],
"mobile_phone": "+14155550123"
}
}{
"error": "missing md5_or_email"
}{
"error": "missing_api_key"
}{
"error": "insufficient_api_credits",
"required": "1.0",
"remaining": "0.0"
}{
"error": "service_unavailable_for_key"
}{
"result": {}
}Email → Business Profile
Enrich an email into a full work profile: name, title, company, seniority. Accepts a hashed or plaintext email.
Provide either a pre-computed md5 (32-character hex digest of the lowercased, trimmed email) or a plaintext email. Email fields are MD5-hashed unless you send a plaintext email.
Billing: 2 credits per successful match (HTTP 200). Misses (404) and request errors (4xx) are not billed.
curl --request POST \
--url https://api.rb2b.com/api/v1/hem_to_business_profile \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"md5": "5d41402abc4b2a76b9719d911017c592",
"email": "alice@example.com",
"include_mobile_phone": false,
"require_email": false
}
'import requests
url = "https://api.rb2b.com/api/v1/hem_to_business_profile"
payload = {
"md5": "5d41402abc4b2a76b9719d911017c592",
"email": "alice@example.com",
"include_mobile_phone": False,
"require_email": False
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
md5: '5d41402abc4b2a76b9719d911017c592',
email: 'alice@example.com',
include_mobile_phone: false,
require_email: false
})
};
fetch('https://api.rb2b.com/api/v1/hem_to_business_profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"result": {
"first_name": "Alice",
"last_name": "Smith",
"title": "VP of Marketing",
"seniority": "vp",
"functional_area": "Marketing",
"current_company": "Acme",
"current_industry": "Computer Software",
"country": "United States",
"linkedin_slug": "alice-123",
"company_employee_range": "51-200",
"company_revenue_range": "$10M-$50M",
"work_email_confirmed": "alice@acme.com",
"personal_emails": [
"<string>"
],
"mobile_phone": "+14155550123"
}
}{
"error": "missing md5_or_email"
}{
"error": "missing_api_key"
}{
"error": "insufficient_api_credits",
"required": "1.0",
"remaining": "0.0"
}{
"error": "service_unavailable_for_key"
}{
"result": {}
}Authorizations
Per-account API key. Also accepted as Api-Key or Authorization: Bearer <key>.
Body
At least one of md5 or email is required.
MD5 hash of the lowercased, trimmed email address.
^[a-fA-F0-9]{32}$"5d41402abc4b2a76b9719d911017c592"
Plaintext email address. When present, email fields in the response are returned in plaintext.
"alice@example.com"
Also look up the contact's mobile phone number and include it as mobile_phone in the result.
Only return and bill for profiles that contain an email address.
Response
Profile found (2 credits charged)
Work profile for the matched contact. Only fields known for the contact are present.
Show child attributes
Show child attributes

